Summary: A personal finance tool for the X Window System.
Name: xfinans
Version: 6.0
Release: 5
Copyright: distributable
Group: Applications/Productivity
Source0: http://212.237.191.16/lupus/public/xfinans-%{version}.tar.gz
Url: http://www.cs.auc.dk/~lupus/xfinans.html
Source1: Xfinans.RedHat
Source2: xfinans.wmconfig
Source3: xfinans_run
Buildroot: %{_tmppath}/%{name}-root

%description
Xfinans enables you to keep track of your bank account balances,
search through transactions, compute interest, etc.

%prep
%setup -q -n Xfinans

%build 
cd Src
xmkmf
make depend; make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/lib/Xfinans

install -c -m 444 XFinans.defaults $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XFinans

cd Src
make install DESTDIR=$RPM_BUILD_ROOT

cp $RPM_SOURCE_DIR/Xfinans.RedHat $RPM_BUILD_DIR/Xfinans
cp $RPM_BUILD_DIR/Xfinans/hyperhelp $RPM_BUILD_ROOT/usr/lib/Xfinans 
cp $RPM_BUILD_DIR/Xfinans/hyperhelp.index $RPM_BUILD_ROOT/usr/lib/Xfinans 
cp $RPM_BUILD_DIR/Xfinans/finans.bkd $RPM_BUILD_ROOT/usr/lib/Xfinans
cp $RPM_BUILD_DIR/Xfinans/xfin.ps $RPM_BUILD_ROOT/usr/lib/Xfinans 
cp $RPM_BUILD_DIR/Xfinans/variables $RPM_BUILD_ROOT/usr/lib/Xfinans 
cp $RPM_BUILD_DIR/Xfinans/categories $RPM_BUILD_ROOT/usr/lib/Xfinans 
cp $RPM_BUILD_DIR/Xfinans/category_engine $RPM_BUILD_ROOT/usr/lib/Xfinans 
cp $RPM_BUILD_DIR/Xfinans/check.acc $RPM_BUILD_ROOT/usr/lib/Xfinans 
cp $RPM_BUILD_DIR/Xfinans/giro.acc $RPM_BUILD_ROOT/usr/lib/Xfinans 
cp $RPM_BUILD_DIR/Xfinans/savings.acc $RPM_BUILD_ROOT/usr/lib/Xfinans 

install -m 755 $RPM_SOURCE_DIR/xfinans_run $RPM_BUILD_ROOT/usr/X11R6/bin/xfinans_run

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT GNU_GPL INSTALL NOTES README WHATS_NEW Xfinans.RedHat Xfinans.RedHat
/usr/lib/Xfinans/hyperhelp
/usr/lib/Xfinans/hyperhelp.index
/usr/lib/Xfinans/finans.bkd
/usr/lib/Xfinans/xfin.ps
/usr/lib/Xfinans/variables
/usr/lib/Xfinans/categories
/usr/lib/Xfinans/category_engine
/usr/lib/Xfinans/check.acc
/usr/lib/Xfinans/giro.acc
/usr/lib/Xfinans/savings.acc
/usr/X11R6/bin/xfinans
/usr/X11R6/bin/xfinans_run

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- clean up specfile

* Wed Jul 05 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix docdir location

* Fri May 19 2000 Ngo Than <than@redhat.de>
- rebuild for powertools 7.0

* Wed Jan 12 2000 Ngo Than <than@redhat.de>
- fix Y2K problem

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Fri Apr 09 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Oct 24 1998 Jeff Johnson <jbj@redhat.com>
- fix buildroot problem.
- new description/summary text.

* Tue Oct 13 1998 Michael Maher <mike@redhat.com> 
- built package for 5.2

* Fri May 22 1998 Michael Maher <mike@redhat.com>
- checked package and spec file.

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entry

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- fixed url tag
- rebuilt for glibc
